<div class="page-layout carded fullwidth" fusePerfectScrollbar>

    <div class="center">

      <mat-horizontal-stepper [linear]="true" #stepper="matHorizontalStepper">
        <mat-step [stepControl]="vehicleForm">
          <ng-template matStepLabel>Confirmar dados do veículo</ng-template>
          <div class="panel">
            <div class="panel-title">
              <span><mat-icon>directions_car</mat-icon></span>
              <span>&nbsp;Veículo</span>
            </div>
            <div class="panel-content">
              <form [formGroup]="vehicleForm">
                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  
                  <mat-form-field fxFlex="50">
                    <input matInput placeholder="Marca" formControlName="manufacture" required>
                  </mat-form-field>
                
                  <mat-form-field fxFlex="50">
                    <input matInput placeholder="Modelo" formControlName="model" required>
                  </mat-form-field>
                </div>
          
                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  
                  <mat-form-field fxFlex="33">
                    <input matInput placeholder="Ano de fabricação" formControlName="registrationYear" required>
                  </mat-form-field>
                
                  <mat-form-field fxFlex="34">
                    <input matInput placeholder="Ano do modelo" formControlName="modelYear" required>
                  </mat-form-field>
                  
                  <mat-form-field fxFlex="33">
                    <input matInput placeholder="Cor" formControlName="color" required>
                  </mat-form-field>
                </div>
          
                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  
                  <mat-form-field fxFlex="50">
                    <input matInput placeholder="Placa" formControlName="licensePlate" minlength="7" [textMask]="{mask: licensePlateMask}" required>
                  </mat-form-field>
                
                  <mat-form-field fxFlex="50">
                    <input matInput placeholder="Chassi" formControlName="chassi" required>
                  </mat-form-field>
                </div>
              </form>
            </div>
          </div>
          <div>
            <button mat-raised-button (click)="cancel()">Voltar</button>
            <button mat-raised-button color="primary" matStepperNext>Próximo</button>
          </div>
        </mat-step>

        <mat-step [stepControl]="customerForm">
          <ng-template matStepLabel>Confirmar dados do Cliente</ng-template>

          <div class="panel">
            <div class="panel-title">
                <span><mat-icon>assignment_ind</mat-icon></span>
                <span>&nbsp;Dados Pessoais</span>
            </div>
            <div class="panel-content">
              <form [formGroup]="customerForm" novalidate>

                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  
                  <mat-form-field fxFlex="100">
                    <input matInput placeholder="Nome" formControlName="name" required>
                  </mat-form-field>
                </div>
                
                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  
                    <mat-form-field fxFlex="33">
                      <input matInput placeholder="Tel. Celular" formControlName="mobilePhone" [textMask]="{mask: mobilePhoneMask}" required>
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="34">
                      <input matInput placeholder="Tel. Residencial" formControlName="residencialPhone" [textMask]="{mask: phoneMask}">
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="33">
                      <input matInput placeholder="Tel. Comercial" formControlName="commercialPhone" [textMask]="{mask: phoneMask}">
                    </mat-form-field>
                </div>

                <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  <mat-form-field fxFlex="100">
                    <input type="email" matInput placeholder="E-mail" formControlName="email" required>
                  </mat-form-field>
                </div>
                
              </form>
            </div>      
          </div>

          <div class="panel">
              <div class="panel-title">
                <span><mat-icon>place</mat-icon></span>
                <span>&nbsp;Endereço</span>
              </div>
              <div class="panel-content">
                
                <form [formGroup]="addressForm" novalidate>
          
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    
                      <mat-form-field fxFlex="60">
                      <input matInput placeholder="Rua/Avenida/Alameda" formControlName="street">
                      <mat-error *ngIf="addressForm.get('street').hasError('required')">
                        Por favor, informe a Rua/Avenida/Alameda
                      </mat-error>
                    </mat-form-field>  
                  
                    <mat-form-field fxFlex="20">
                      <input matInput placeholder="Número" formControlName="number">
                      <mat-error *ngIf="addressForm.get('number').hasError('required')">
                        Por favor, informe o número
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="20">
                      <input matInput placeholder="Complemento" formControlName="complement">
                    </mat-form-field>
                  </div>
          
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    
                    <mat-form-field fxFlex="33">
                      <input matInput placeholder="Bairro" formControlName="district">
                      <mat-error *ngIf="addressForm.get('district').hasError('required')">
                        Por favor, informe o Bairro
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="34">
                      <input matInput placeholder="Cidade" formControlName="city">
                      <mat-error *ngIf="addressForm.get('city').hasError('required')">
                        Por favor, informe a Cidade
                      </mat-error>
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="33">
                      <mat-select placeholder="Estado" formControlName="state">
                        <mat-option *ngFor="let state of stateAddressList" [value]="state.key">
                          {{ state.value }}
                        </mat-option>
                      </mat-select>
                      <mat-error *ngIf="addressForm.get('state').hasError('required')">
                        Por favor, selecione o Estado
                      </mat-error>
                    </mat-form-field>
                  </div>
          
                  <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                    
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="CEP" formControlName="postalCode" [textMask]="{mask: postalCodeMask}">
                      <mat-error *ngIf="addressForm.get('postalCode').hasError('required')">
                        Por favor, informe o CEP
                      </mat-error>
                      <mat-error *ngIf="addressForm.get('postalCode').hasError('minlength')">
                        Por favor, CEP deve conter 8 caracteres
                      </mat-error>                
                    </mat-form-field>
                  
                    <mat-form-field fxFlex="50">
                      <input matInput placeholder="Referência" formControlName="reference">
                    </mat-form-field>  
                  </div>
                  
                </form>
              </div>
            </div>


          <div>
            <button mat-raised-button matStepperPrevious>Voltar</button>
            <button mat-raised-button color="primary" matStepperNext>Próximo</button>
          </div>    
        </mat-step>

        <mat-step [stepControl]="planCancelForm">
            <ng-template matStepLabel>Cancelar Plano</ng-template>
            <form [formGroup]="planCancelForm" (ngSubmit)="cancelPlan()" novalidate>
              <div class="panel">
                  <div class="panel-title">
                    <span><mat-icon>description</mat-icon></span>
                    <span>&nbsp;Dados do Plano</span>
                  </div>
                  <div class="panel-content">
                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                      <mat-form-field fxFlex="100">
                        <input matInput placeholder="Nome" formControlName="name" required>
                      </mat-form-field>
                    </div>
                  </div>
              </div>
              <div>
                <button type="button" mat-raised-button matStepperPrevious>Voltar</button>
                <button type="submit" mat-raised-button color="primary">Cancelar o Plano</button>
              </div>
            </form> 
        </mat-step>

        <!-- 
          <mat-step>
            <ng-template matStepLabel>Agendamento Desinstalação</ng-template>
            <div>
              <button mat-raised-button matStepperPrevious>Voltar</button>
            </div>
          </mat-step> 
        -->

      </mat-horizontal-stepper>

    </div>
</div>    